:export links to repository files lead to a 404 error

2012-10-09 15:45 - Alexey Artemov

Status: Closed Start date:  

Priority: Normal Due date:  

Assignee: Jean-Philippe Lang % Done: 0%

Category: SCM Estimated time: 0.00 hour

Target version: 2.1.3   

Resolution: Fixed Affected version: 2.1.2

Description

I'm trying to make download link to a file from svn-repository. If i write in issue:

export:"NSK130/branches/Release/O131.hex" 

I get:

http://localhost:50080/projects/skudopp-nsk-131-sw/repository/entry/NSK130/branches/Release/O131.h

ex.raw

                                                             ------                               

  -----

Instead of:

http://localhost:50080/projects/skudopp-nsk-131-sw/repository/raw/NSK130/branches/Release/O131.hex

                                                             ----                                -

----

And of course then obtain 404-error.

PS: Quotes removal has no effect    

Redmine version - 2.1.2.stable.10570

About your application's environment

Ruby version              1.9.3 (i686-linux)

RubyGems version          1.8.23

Rack version              1.4

Rails version             3.2.8

Active Record version     3.2.8

Action Pack version       3.2.8

Active Resource version   3.2.8

Action Mailer version     3.2.8

Active Support version    3.2.8

Middleware                Rack::Cache, ActionDispatch::Static, Rack::Lock,

#<ActiveSupport::Cache::Strategy::LocalCache::Middleware:0x9962b6c>, Rack::Runtime, Rack::MethodOverride,

ActionDispatch::RequestId, Rails::Rack::Logger, ActionDispatch::ShowExceptions, ActionDispatch::DebugExceptions,

ActionDispatch::RemoteIp, ActionDispatch::Callbacks, ActiveRecord::ConnectionAdapters::ConnectionManagement,

ActiveRecord::QueryCache, ActionDispatch::Cookies, ActionDispatch::Session::CookieStore, ActionDispatch::Flash,

ActionDispatch::ParamsParser, ActionDispatch::Head, Rack::ConditionalGet, Rack::ETag, ActionDispatch::BestStandardsSupport,

OpenIdAuthentication

Application root          /opt/redmine

Environment               production

Database adapter          mysql2

Database schema version   20120731164049

Associated revisions
Revision 10580 - 2012-10-09 19:02 - Jean-Philippe Lang

Fixed that export: links are broken (#12050).

Revision 10581 - 2012-10-09 19:03 - Jean-Philippe Lang

Cleanup (#12050).

History

#1 - 2012-10-09 16:10 - Toshi MARUYAMA

- Category set to SCM

#2 - 2012-10-09 17:13 - Etienne Massip

- Status changed from New to Confirmed

- Target version set to Candidate for next minor release

On this site:

export:/trunk/public/images/add.png

gives

http://www.redmine.org/projects/redmine/repository/entry/trunk/public/images/add.png.raw

 should have been

http://www.redmine.org/projects/redmine/repository/raw/trunk/public/images/add.png

#3 - 2012-10-09 19:02 - Jean-Philippe Lang

- Status changed from Confirmed to Resolved

- Assignee set to Jean-Philippe Lang

- Target version changed from Candidate for next minor release to 2.1.3

- Resolution set to Fixed

Fixed in r10580.

#4 - 2012-10-26 05:14 - Jean-Philippe Lang

- Subject changed from Cannot get file from svn repository via export, getting 404 to :export links to repository files lead to a 404 error

- Status changed from Resolved to Closed

Merged in 2.1-stable.
